## ZendX_JQuery_View_Helper_Slider

Description

jQuery Slider View Helper

- copyright: Copyright (c) 2005-2008 Zend Technologies USA Inc. (http://www.zend.com)
- license: New BSD License
- uses: Zend_Json

Located in /JQuery/View/Helper/Slider.php (line 37)

    Zend_View_Helper_HtmlElement
       |
       --ZendX_JQuery_View_Helper_UiWidget
          |
          --ZendX_JQuery_View_Helper_Slider

Method Summary
void getChangeCallback ( $jqh, $sliderHiddenId, $elementId, $handlerNum)
void getHandleCount ( $params)
void getHandleValue ( $handleNum, $params)
void initializeStartingValues ( $value, $params)
string slider (string $id, [string $value = null], [ $params = array()], [ $attribs = array()])
Variables

#### Inherited Variables

Inherited from ZendX_JQuery_View_Helper_UiWidget

> ZendX_JQuery_View_Helper_UiWidget::$jquery

Methods
getChangeCallback (line 102)

- access: protected

void getChangeCallback ( $jqh, $sliderHiddenId, $elementId, $handlerNum)

- $jqh
- $sliderHiddenId
- $elementId
- $handlerNum

getHandleCount (line 115)

- access: protected

void getHandleCount ( $params)

- $params

getHandleValue (line 124)

- access: protected

void getHandleValue ( $handleNum, $params)

- $handleNum
- $params

initializeStartingValues (line 133)

- access: protected

void initializeStartingValues ( $value, $params)

- $value
- $params

slider (line 49)

Create jQuery slider that updates its values into a hidden form input field.

- link: http://docs.jquery.com/UI/Slider
- access: public

string slider (string $id, [string $value = null], [ $params = array()], [ $attribs = array()])

- string $id
- string $value
- array $params
- array $attribs

#### Inherited Methods

Inherited From ZendX_JQuery_View_Helper_UiWidget

> ZendX_JQuery_View_Helper_UiWidget::setView()
> ZendX_JQuery_View_Helper_UiWidget::_prepareAttributes()

Documentation generated on Mon, 24 Aug 2009 17:58:49 -0700 by phpDocumentor 1.4.2